.collapse-toggle {
  display: none;
}

.collapse-label {
  display: block;

  cursor: pointer;

  border-radius: 7px;
  transition: all 0.25s ease-out;
}

.collapse-label::before {
  content: " ";
  display: inline-block;

  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-left: 5px solid currentColor;
  vertical-align: middle;
  margin-left: 1em;
  margin-right: 1em;
  transform: translateY(-2px);

  transition: transform 0.2s ease-out;
}

.collapse-toggle:checked + .collapse-label::before {
  transform: rotate(90deg) translateX(-3px);
}

.collapse-content {
  max-height: 0px;
  overflow: hidden;
  transition: max-height 0.25s ease-in-out;
}

.collapse-toggle:checked + .collapse-label + .collapse-content {
  max-height: 100vh;
}

.collapse-toggle:checked + .collapse-label {
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
